Get Folder Tree from Path
Retrieves a folder tree starting from a specific folder
GET
/api/v1/{app_id}/folders/{id}/treeAuthorization
AuthorizationAPI key · headerrequiredBearer token (format: "Bearer {token}")
Path parameters
app_idstringrequiredApp ID
idstringrequiredFolder ID
Responses
200
Folder tree retrieved successfully
dataFolderTreeResponseShow propertiesHide properties
childrenFolderTreeResponse[] | nullShow propertiesHide properties
Array of
FolderTreeResponseCircular reference to
FolderTreeResponse.created_atstringfile_countintegerhas_content_accessbooleanidstringimage_countintegeris_defaultbooleannamestringparent_idstring | nullpublicbooleanslugstringupdated_atstring | nullvideo_countintegersuccessboolean400
Invalid request
detailsstring[] | nullerrorstring401
Unauthorized access
detailsstring[] | nullerrorstring404
Folder not found
detailsstring[] | nullerrorstring500
Internal server error
detailsstring[] | nullerrorstring